
function vari_tc
% Funcao Vari_tc para tratamento de duvidas em Medidas de Tendencia Central
% parte do Sistema SESHET-S
% 
%

% Topico eh Medidas de Tendencia Central
% Tipo de Variavel

Menu_Variaveis=menu('A varivel do seu estudo :', 'No sei', 'Deve ser Qualitativa, mas no sei o tipo', 'Deve ser Quantitativa, mas no sei o tipo', ' Qualitativa Nominal', ' Qualitativa Ordinal', ' Quantitativa Discreta', ' Quantitativa Contnua');
        if Menu_Variaveis ~= 1
            Menu_CertezaVariaveis=menu('O quanto voc est certo disso?', 'Eu no estou certo disso', 'Estou pouco certo disso', 'Estou razoavelmente certo disso', 'Estou quase certo disso', 'Tenho certeza disso');
        else   
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end     
        
% Dados Agrupados ou nao

        Menu_DadosAgrupados=menu('Os seus dados esto:', 'Eu no sei', 'Agrupados', 'No agrupados');
        if Menu_DadosAgrupados ~= 1 
            Menu_CertezaDadosAgrupados=menu('O quanto voc est certo disso?', 'Eu no estou certo disso', 'Estou pouco certo disso', 'Estou razoavelmente certo disso', 'Estou quase certo disso', 'Tenho certeza disso');
        else            
            agrupamento = 1.5;
            Menu_CertezaDadosAgrupados = 5;
        end
        

% Verifica tipo de variavel

        if Menu_Variaveis == 2
            variavel = 1.5;
        end
        if Menu_Variaveis == 3
            variavel = 3.5;
        end
        if Menu_Variaveis == 4
            variavel = 1;
        end
        if Menu_Variaveis == 5
            variavel = 2;
        end
        if Menu_Variaveis == 6
            variavel = 3;
        end
        if Menu_Variaveis == 7
            variavel = 4;
        end
        
% Verifica a certeza sobre o tipo de variavel

        if Menu_CertezaVariaveis == 1
            variavel = variavel + 0.4;
        end
        if Menu_CertezaVariaveis == 2
            variavel = variavel + 0.3;
        end
        if Menu_CertezaVariaveis == 3
            variavel = variavel + 0.2;
        end
        if Menu_CertezaVariaveis == 4
            variavel = variavel + 0.1;
        end 
%        if Menu_CertezaVariaveis == 5
%            variavel = variavel;
%        end 
        
% Verifica tipo de agrupamento        
        
        if Menu_DadosAgrupados == 2 
            agrupamento = 2;
        end
        if Menu_DadosAgrupados == 3 
            agrupamento = 1;
        end
           
% Verifica a certeza sobre o agrupamento

        if Menu_CertezaDadosAgrupados == 1
            agrupamento = agrupamento + 0.4;
        end
        if Menu_CertezaDadosAgrupados == 2
            agrupamento = agrupamento + 0.3;
        end
        if Menu_CertezaDadosAgrupados == 3
            agrupamento = agrupamento + 0.2;
        end
        if Menu_CertezaDadosAgrupados == 4
            agrupamento = agrupamento + 0.1;
        end 
%        if Menu_CertezaDadosAgrupados == 5
%            variavel = variavel;
%        end 
      
%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_tc = readfis('vari_tc');
        [a, b, c, d] = evalfis([variavel agrupamento],fis_tc,909);
        for i=47:171
            Moda_NA(i-46)=d(i);           
        end
        for i=183:285
            Mediana_NA(i-171)=d(i);            
        end
        for i=297:409
            Media_NA(i-285)=d(i);
        end
        for i=410:512
            Moda_AG(i-409)=d(i);           
        end
        for i=524:625
            Mediana_AG(i-512)=d(i);
        end
        for i=637:750
            Media_AG(i-636)=d(i);            
        end
        
% Resultado final da consulta

        max_Moda_NA=max(Moda_NA)
        max_Mediana_NA=max(Mediana_NA)
        max_Media_NA=max(Media_NA)
        max_Moda_AG=max(Moda_AG)
        max_Mediana_AG=max(Mediana_AG)
        max_Media_AG=max(Media_AG)

        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!')
        sprintf('Moda para dados no agrupados            ') 
        max_Moda_NA
        sprintf('Mediana para dados no agrupados         ')
        max_Mediana_NA
        sprintf('Mdia para dados no agrupados           ') 
        max_Media_NA
        sprintf('Moda para dados agrupados                ') 
        max_Moda_AG
        sprintf('Mediana para dados agrupados             ') 
        max_Mediana_AG
        sprintf('Mdia para dados agrupados               ') 
        max_Media_AG

% Envia para formatador de saida

        saida_tc (max_Moda_NA, max_Mediana_NA, max_Media_NA, max_Moda_AG, max_Mediana_AG, max_Media_AG);


