
function dist_pro
% Funcao Dist_pro para tratamento de duvidas em Distribuicao de Probabilidades
% parte do Sistema SESHET-S
% 
%

% Topico eh Distribuicao de Probabilidades
% Tipo de Variavel Aleatoria

Menu_Var_Aleatoria=menu('A Varivel Aleatria do seu estudo :', 'No sei', ' Discreta', ' Contnua');
        if Menu_Var_Aleatoria ~= 1
            Menu_CertezaVar_Aleat=menu('O quanto voc est certo disso?', 'Eu no estou certo disso', 'Estou pouco certo disso',...
                'Estou razoavelmente certo disso', 'Estou quase certo disso', 'Tenho certeza disso');
        else   
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end     
        
% Numero de Resultados

        Menu_NumResultados=menu('Quantos resultados so possveis no seu experimento?', 'No sei', 'Dois resultados', 'Um intervalo');
        if Menu_NumResultados ~= 1 
            Menu_CertezaNumResultados=menu('O quanto voc est certo disso?', 'Eu no estou certo disso', 'Estou pouco certo disso', ...
                'Estou razoavelmente certo disso', 'Estou quase certo disso', 'Tenho certeza disso');
        else            
            numeroResultados = 1.5;
            Menu_CertezaNumResultados = 5;
        end
        
% Espaco de Repeticao do Experimento 

        Menu_EspacoExperimento=menu('O seu experimento  realizado?', 'No sei', 'Uma vez', 'n vezes', 'Em um espao contnuo');
        if Menu_EspacoExperimento ~= 1 
            Menu_CertezaEspacoExperimento=menu('O quanto voc est certo disso?', 'Eu no estou certo disso', 'Estou pouco certo disso', ...
                'Estou razoavelmente certo disso', 'Estou quase certo disso', 'Tenho certeza disso');
        else            
            espacoExperimento = 1.5;
            Menu_CertezaEspacoExperimento = 5;
        end
        
% Verifica tipo de variavel aleatoria

        if Menu_Var_Aleatoria == 2
            variavelAleatoria = 1;
        end
        if Menu_Var_Aleatoria == 3
            variavelAleatoria = 2;
        end
        
% Verifica a certeza sobre o tipo de variavel aleatoria

        if Menu_CertezaVar_Aleat == 1
            variavelAleatoria = variavelAleatoria + 0.4;
        end
        if Menu_CertezaVar_Aleat == 2
            variavelAleatoria = variavelAleatoria + 0.3;
        end
        if Menu_CertezaVar_Aleat == 3
            variavelAleatoria = variavelAleatoria + 0.2;
        end
        if Menu_CertezaVar_Aleat == 4
            variavelAleatoria = variavelAleatoria + 0.1;
        end 
%        if Menu_CertezaVar_Aleat == 5
%            variavelAleatoria = variavelAleatoria;
%        end 
        
% Verifica o numero de resultados        
        
        if Menu_NumResultados == 2 
            numeroResultados = 1;
        end
        if Menu_NumResultados == 3 
            numeroResultados = 2;
        end
           
% Verifica a certeza sobre o numero de resultados

        if Menu_CertezaNumResultados == 1
            numeroResultados = numeroResultados + 0.4;
        end
        if Menu_CertezaNumResultados == 2
            numeroResultados = numeroResultados + 0.3;
        end
        if Menu_CertezaNumResultados == 3
            numeroResultados = numeroResultados + 0.2;
        end
        if Menu_CertezaNumResultados == 4
            numeroResultados = numeroResultados + 0.1;
        end 
%        if Menu_CertezaNumResultados == 5
%            numeroResultados = numeroResultados;
%        end 
 
% Verifica o Espaco de Repeticao do Experimento        
        
        if Menu_EspacoExperimento == 2 
            espacoExperimento = 1;
        end
        if Menu_EspacoExperimento == 3 
            espacoExperimento = 2;
        end
        if Menu_EspacoExperimento == 4
            espacoExperimento = 3;
        end
           
% Verifica a certeza sobre Espaco de Repeticao do Experimento

        if Menu_CertezaEspacoExperimento == 1
            espacoExperimento = espacoExperimento + 0.4;
        end
        if Menu_CertezaEspacoExperimento == 2
            espacoExperimento = espacoExperimento + 0.3;
        end
        if Menu_CertezaEspacoExperimento == 3
            espacoExperimento = espacoExperimento + 0.2;
        end
        if Menu_CertezaEspacoExperimento == 4
            espacoExperimento = espacoExperimento + 0.1;
        end 
%        if Menu_CertezaEspacoExperimento == 5
%            espacoExperimento = espacoExperimento;
%        end 


%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_dp = readfis('dist_pro');
        [a, b, c, d] = evalfis([variavelAleatoria numeroResultados espacoExperimento],fis_dp,909);
        for i=92:272
            Bernoulli(i-91)=d(i);           
        end
        for i=275:453
            Binomial(i-274)=d(i);            
        end
        for i=457:635
            Poisson(i-456)=d(i);
        end
        for i=638:818
            Normal(i-637)=d(i);           
        end
       
        
% Resultado final da consulta

        max_Bernoulli=max(Bernoulli);
        max_Binomial=max(Binomial);
        max_Poisson=max(Poisson);
        max_Normal=max(Normal);

        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!')
        sprintf('Distribuio de Bernoulli                ') 
        max_Bernoulli
        sprintf('Distribuio Binomial                    ')
        max_Binomial
        sprintf('Distribuio de Poisson                  ') 
        max_Poisson
        sprintf('Distribuio Normal                      ') 
        max_Normal


% Envia para formatador de saida

        saida_dp (max_Bernoulli, max_Binomial, max_Poisson, max_Normal);


