function saida_tb (tabNao_aplica, tab_Valor, tab_Intervalo);
% saida_tb imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

tabNao_aplica = tabNao_aplica*100;
tab_Valor = tab_Valor*100;
tab_Intervalo = tab_Intervalo*100;

labelList=[
    'No se usa Tabelas de Freqncias para este caso, nesta disciplina  __', sprintf('%6.2f',tabNao_aplica),
    'Tabelas de Freqncias por Valor  ______________________              ', sprintf('%6.2f',tab_Valor),
    'Tabelas de Freqncias por Intervalo  ____________________            ', sprintf('%6.2f',tab_Intervalo),];

nameList=[
    'tabNao_aplica      '
    'tabValor           '
    'tab_Intervalo      '];


figNum=figure('name', 'Respostas possveis pelo SESHET-S (em valores percentuais)',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

