
function vari_va
% Funcao Vari_va para tratamento de duvidas em Medidas de Variabilidade
% parte do Sistema SESHET-S
% 
%

% Topico eh Medidas de Variabilidade
% Tipo de Variavel

Menu_Variaveis=menu('A varivel do seu estudo :', 'No sei', 'Deve ser Qualitativa, mas no sei o tipo', 'Deve ser Quantitativa, mas no sei o tipo', ' Qualitativa Nominal', ' Qualitativa Ordinal', ' Quantitativa Discreta', ' Quantitativa Contnua');
        if Menu_Variaveis ~= 1
            Menu_CertezaVariaveis=menu('O quanto voc est certo disso?', 'Eu no estou certo disso', 'Estou pouco certo disso', 'Estou razoavelmente certo disso', 'Estou quase certo disso', 'Tenho certeza disso');
        else   
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end     
        
% Dados Agrupados ou nao

        Menu_DadosAgrupados=menu('Os seus dados esto:', 'Eu no sei', 'Agrupados', 'No agrupados');
        if Menu_DadosAgrupados ~= 1 
            Menu_CertezaDadosAgrupados=menu('O quanto voc est certo disso?', 'Eu no estou certo disso', 'Estou pouco certo disso', 'Estou razoavelmente certo disso', 'Estou quase certo disso', 'Tenho certeza disso');
        else            
            agrupamento = 1.5;
            Menu_CertezaDadosAgrupados = 5;
        end
        

% Verifica tipo de variavel

        if Menu_Variaveis == 2
            variavel = 1.5;
        end
        if Menu_Variaveis == 3
            variavel = 3.5;
        end
        if Menu_Variaveis == 4
            variavel = 1;
        end
        if Menu_Variaveis == 5
            variavel = 2;
        end
        if Menu_Variaveis == 6
            variavel = 3;
        end
        if Menu_Variaveis == 7
            variavel = 4;
        end
        
% Verifica a certeza sobre o tipo de variavel

        if Menu_CertezaVariaveis == 1
            variavel = variavel + 0.4;
        end
        if Menu_CertezaVariaveis == 2
            variavel = variavel + 0.3;
        end
        if Menu_CertezaVariaveis == 3
            variavel = variavel + 0.2;
        end
        if Menu_CertezaVariaveis == 4
            variavel = variavel + 0.1;
        end 
%        if Menu_CertezaVariaveis == 5
%            variavel = variavel;
%        end 
        
% Verifica tipo de agrupamento        
        
        if Menu_DadosAgrupados == 2 
            agrupamento = 2;
        end
        if Menu_DadosAgrupados == 3 
            agrupamento = 1;
        end
           
% Verifica a certeza sobre o agrupamento

        if Menu_CertezaDadosAgrupados == 1
            agrupamento = agrupamento + 0.4;
        end
        if Menu_CertezaDadosAgrupados == 2
            agrupamento = agrupamento + 0.3;
        end
        if Menu_CertezaDadosAgrupados == 3
            agrupamento = agrupamento + 0.2;
        end
        if Menu_CertezaDadosAgrupados == 4
            agrupamento = agrupamento + 0.1;
        end 
%        if Menu_CertezaDadosAgrupados == 5
%            variavel = variavel;
%        end 
      
%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_va = readfis('vari_va');
        [a, b, c, d] = evalfis([variavel agrupamento],fis_va,909);
        for i=1:46
            Nao_Var(i)=d(i);
        end
        for i=47:171
            AmplitudeTotal_NA(i-46)=d(i);           
        end
        for i=183:285
            Variancia_DesvioPadrao_NA(i-171)=d(i);            
        end
        for i=297:409
            CoeficienteVariacao_NA(i-285)=d(i);
        end
        for i=410:512
            AmplitudeTotal_AG(i-409)=d(i);           
        end
        for i=524:625
            Variancia_DesvioPadrao_AG(i-512)=d(i);
        end
        for i=637:750
            CoeficienteVariacao_AG(i-636)=d(i);            
        end
        
% Resultado final da consulta

        max_Nao_Var=max(Nao_Var);
        max_AmplitudeTotal_NA=max(AmplitudeTotal_NA);
        max_Variancia_DesvioPadrao_NA=max(Variancia_DesvioPadrao_NA);
        max_CoeficienteVariacao_NA=max(CoeficienteVariacao_NA);
        max_AmplitudeTotal_AG=max(AmplitudeTotal_AG);
        max_Variancia_DesvioPadrao_AG=max(Variancia_DesvioPadrao_AG);
        max_CoeficienteVariacao_AG=max(CoeficienteVariacao_AG);

        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!')
        sprintf('Medida de Variaco no se aplica         ')
        max_Nao_Var
        sprintf('Amplitude Total para dados no agrupados            ') 
        max_AmplitudeTotal_NA
        sprintf('Varincia ou Desvio-padro para dados no agrupados         ')
        max_Variancia_DesvioPadrao_NA
        sprintf('Coeficiente de Variao para dados no agrupados           ') 
        max_CoeficienteVariacao_NA
        sprintf('Amplitude Total para dados agrupados                ') 
        max_AmplitudeTotal_AG
        sprintf('Varincia ou Desvio-padro para dados agrupados             ') 
        max_Variancia_DesvioPadrao_AG
        sprintf('Coeficiente de Variao para dados agrupados               ') 
        max_CoeficienteVariacao_AG

% Envia para formatador de saida

        saida_va (max_Nao_Var, max_AmplitudeTotal_NA, max_Variancia_DesvioPadrao_NA, max_CoeficienteVariacao_NA, ...
            max_AmplitudeTotal_AG, max_Variancia_DesvioPadrao_AG, max_CoeficienteVariacao_AG);


